from google.protobuf import timestamp_pb2 as _timestamp_pb2
from google.protobuf.internal import enum_type_wrapper as _enum_type_wrapper
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from typing import ClassVar as _ClassVar, Mapping as _Mapping, Optional as _Optional, Union as _Union

DESCRIPTOR: _descriptor.FileDescriptor

class CannotBeProcessed(_message.Message):
    __slots__ = []
    def __init__(self) -> None: ...

class LogEntryId(_message.Message):
    __slots__ = ["value"]
    VALUE_FIELD_NUMBER: _ClassVar[int]
    value: str
    def __init__(self, value: _Optional[str] = ...) -> None: ...

class OnStatusAction(_message.Message):
    __slots__ = []
    class Enum(int, metaclass=_enum_type_wrapper.EnumTypeWrapper):
        __slots__ = []
    failed: OnStatusAction.Enum
    processed: OnStatusAction.Enum
    scheduled: OnStatusAction.Enum
    undefined: OnStatusAction.Enum
    def __init__(self) -> None: ...

class PublicRequest(_message.Message):
    __slots__ = ["create_time", "creation_id", "numeric_id", "on_status_action", "public_request_id", "registrar_id", "registry_object_reference", "resolve_time", "resolving_id", "response_email", "status", "type"]
    CREATE_TIME_FIELD_NUMBER: _ClassVar[int]
    CREATION_ID_FIELD_NUMBER: _ClassVar[int]
    NUMERIC_ID_FIELD_NUMBER: _ClassVar[int]
    ON_STATUS_ACTION_FIELD_NUMBER: _ClassVar[int]
    PUBLIC_REQUEST_ID_FIELD_NUMBER: _ClassVar[int]
    REGISTRAR_ID_FIELD_NUMBER: _ClassVar[int]
    REGISTRY_OBJECT_REFERENCE_FIELD_NUMBER: _ClassVar[int]
    RESOLVE_TIME_FIELD_NUMBER: _ClassVar[int]
    RESOLVING_ID_FIELD_NUMBER: _ClassVar[int]
    RESPONSE_EMAIL_FIELD_NUMBER: _ClassVar[int]
    STATUS_FIELD_NUMBER: _ClassVar[int]
    TYPE_FIELD_NUMBER: _ClassVar[int]
    create_time: _timestamp_pb2.Timestamp
    creation_id: LogEntryId
    numeric_id: int
    on_status_action: OnStatusAction.Enum
    public_request_id: PublicRequestId
    registrar_id: RegistrarId
    registry_object_reference: RegistryObjectReference
    resolve_time: _timestamp_pb2.Timestamp
    resolving_id: LogEntryId
    response_email: str
    status: Status.Enum
    type: str
    def __init__(self, public_request_id: _Optional[_Union[PublicRequestId, _Mapping]] = ..., numeric_id: _Optional[int] = ..., registry_object_reference: _Optional[_Union[RegistryObjectReference, _Mapping]] = ..., type: _Optional[str] = ..., registrar_id: _Optional[_Union[RegistrarId, _Mapping]] = ..., response_email: _Optional[str] = ..., create_time: _Optional[_Union[_timestamp_pb2.Timestamp, _Mapping]] = ..., creation_id: _Optional[_Union[LogEntryId, _Mapping]] = ..., resolve_time: _Optional[_Union[_timestamp_pb2.Timestamp, _Mapping]] = ..., resolving_id: _Optional[_Union[LogEntryId, _Mapping]] = ..., status: _Optional[_Union[Status.Enum, str]] = ..., on_status_action: _Optional[_Union[OnStatusAction.Enum, str]] = ...) -> None: ...

class PublicRequestDoesNotExist(_message.Message):
    __slots__ = []
    def __init__(self) -> None: ...

class PublicRequestId(_message.Message):
    __slots__ = ["value"]
    VALUE_FIELD_NUMBER: _ClassVar[int]
    value: str
    def __init__(self, value: _Optional[str] = ...) -> None: ...

class PublicRequestType(_message.Message):
    __slots__ = ["is_resolvable", "name"]
    IS_RESOLVABLE_FIELD_NUMBER: _ClassVar[int]
    NAME_FIELD_NUMBER: _ClassVar[int]
    is_resolvable: bool
    name: str
    def __init__(self, name: _Optional[str] = ..., is_resolvable: bool = ...) -> None: ...

class RegistrarId(_message.Message):
    __slots__ = ["value"]
    VALUE_FIELD_NUMBER: _ClassVar[int]
    value: str
    def __init__(self, value: _Optional[str] = ...) -> None: ...

class RegistryObjectReference(_message.Message):
    __slots__ = ["type", "value"]
    TYPE_FIELD_NUMBER: _ClassVar[int]
    VALUE_FIELD_NUMBER: _ClassVar[int]
    type: RegistryObjectType.Enum
    value: str
    def __init__(self, type: _Optional[_Union[RegistryObjectType.Enum, str]] = ..., value: _Optional[str] = ...) -> None: ...

class RegistryObjectType(_message.Message):
    __slots__ = []
    class Enum(int, metaclass=_enum_type_wrapper.EnumTypeWrapper):
        __slots__ = []
    contact: RegistryObjectType.Enum
    domain: RegistryObjectType.Enum
    keyset: RegistryObjectType.Enum
    nsset: RegistryObjectType.Enum
    undefined: RegistryObjectType.Enum
    def __init__(self) -> None: ...

class Status(_message.Message):
    __slots__ = []
    class Enum(int, metaclass=_enum_type_wrapper.EnumTypeWrapper):
        __slots__ = []
    invalidated: Status.Enum
    opened: Status.Enum
    resolved: Status.Enum
    undefined: Status.Enum
    def __init__(self) -> None: ...
