from fred_api.public_request import common_types_pb2 as _common_types_pb2
from google.protobuf import empty_pb2 as _empty_pb2
from google.protobuf.internal import containers as _containers
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from typing import ClassVar as _ClassVar, Iterable as _Iterable, Mapping as _Mapping, Optional as _Optional, Union as _Union

DESCRIPTOR: _descriptor.FileDescriptor

class GetReply(_message.Message):
    __slots__ = ["data", "exception"]
    class Exception(_message.Message):
        __slots__ = ["public_request_does_not_exist"]
        PUBLIC_REQUEST_DOES_NOT_EXIST_FIELD_NUMBER: _ClassVar[int]
        public_request_does_not_exist: _common_types_pb2.PublicRequestDoesNotExist
        def __init__(self, public_request_does_not_exist: _Optional[_Union[_common_types_pb2.PublicRequestDoesNotExist, _Mapping]] = ...) -> None: ...
    DATA_FIELD_NUMBER: _ClassVar[int]
    EXCEPTION_FIELD_NUMBER: _ClassVar[int]
    data: _common_types_pb2.PublicRequest
    exception: GetReply.Exception
    def __init__(self, data: _Optional[_Union[_common_types_pb2.PublicRequest, _Mapping]] = ..., exception: _Optional[_Union[GetReply.Exception, _Mapping]] = ...) -> None: ...

class GetRequest(_message.Message):
    __slots__ = ["public_request_id"]
    PUBLIC_REQUEST_ID_FIELD_NUMBER: _ClassVar[int]
    public_request_id: _common_types_pb2.PublicRequestId
    def __init__(self, public_request_id: _Optional[_Union[_common_types_pb2.PublicRequestId, _Mapping]] = ...) -> None: ...

class GetTypesReply(_message.Message):
    __slots__ = ["data"]
    class Data(_message.Message):
        __slots__ = ["types"]
        TYPES_FIELD_NUMBER: _ClassVar[int]
        types: _containers.RepeatedCompositeFieldContainer[_common_types_pb2.PublicRequestType]
        def __init__(self, types: _Optional[_Iterable[_Union[_common_types_pb2.PublicRequestType, _Mapping]]] = ...) -> None: ...
    DATA_FIELD_NUMBER: _ClassVar[int]
    data: GetTypesReply.Data
    def __init__(self, data: _Optional[_Union[GetTypesReply.Data, _Mapping]] = ...) -> None: ...

class ListReply(_message.Message):
    __slots__ = ["data"]
    class Data(_message.Message):
        __slots__ = ["public_requests"]
        PUBLIC_REQUESTS_FIELD_NUMBER: _ClassVar[int]
        public_requests: _containers.RepeatedCompositeFieldContainer[_common_types_pb2.PublicRequest]
        def __init__(self, public_requests: _Optional[_Iterable[_Union[_common_types_pb2.PublicRequest, _Mapping]]] = ...) -> None: ...
    DATA_FIELD_NUMBER: _ClassVar[int]
    data: ListReply.Data
    def __init__(self, data: _Optional[_Union[ListReply.Data, _Mapping]] = ...) -> None: ...

class ListRequest(_message.Message):
    __slots__ = ["registry_object_reference"]
    REGISTRY_OBJECT_REFERENCE_FIELD_NUMBER: _ClassVar[int]
    registry_object_reference: _common_types_pb2.RegistryObjectReference
    def __init__(self, registry_object_reference: _Optional[_Union[_common_types_pb2.RegistryObjectReference, _Mapping]] = ...) -> None: ...
