from fred_api.public_request import common_types_pb2 as _common_types_pb2
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from typing import ClassVar as _ClassVar, Mapping as _Mapping, Optional as _Optional, Union as _Union

DESCRIPTOR: _descriptor.FileDescriptor

class InvalidateReply(_message.Message):
    __slots__ = ["exception"]
    class Exception(_message.Message):
        __slots__ = ["cannot_be_processed", "public_request_does_not_exist"]
        CANNOT_BE_PROCESSED_FIELD_NUMBER: _ClassVar[int]
        PUBLIC_REQUEST_DOES_NOT_EXIST_FIELD_NUMBER: _ClassVar[int]
        cannot_be_processed: _common_types_pb2.CannotBeProcessed
        public_request_does_not_exist: _common_types_pb2.PublicRequestDoesNotExist
        def __init__(self, public_request_does_not_exist: _Optional[_Union[_common_types_pb2.PublicRequestDoesNotExist, _Mapping]] = ..., cannot_be_processed: _Optional[_Union[_common_types_pb2.CannotBeProcessed, _Mapping]] = ...) -> None: ...
    EXCEPTION_FIELD_NUMBER: _ClassVar[int]
    exception: InvalidateReply.Exception
    def __init__(self, exception: _Optional[_Union[InvalidateReply.Exception, _Mapping]] = ...) -> None: ...

class InvalidateRequest(_message.Message):
    __slots__ = ["public_request_id", "resolving_id"]
    PUBLIC_REQUEST_ID_FIELD_NUMBER: _ClassVar[int]
    RESOLVING_ID_FIELD_NUMBER: _ClassVar[int]
    public_request_id: _common_types_pb2.PublicRequestId
    resolving_id: _common_types_pb2.LogEntryId
    def __init__(self, public_request_id: _Optional[_Union[_common_types_pb2.PublicRequestId, _Mapping]] = ..., resolving_id: _Optional[_Union[_common_types_pb2.LogEntryId, _Mapping]] = ...) -> None: ...

class ResolveReply(_message.Message):
    __slots__ = ["exception"]
    class Exception(_message.Message):
        __slots__ = ["cannot_be_processed", "public_request_does_not_exist"]
        CANNOT_BE_PROCESSED_FIELD_NUMBER: _ClassVar[int]
        PUBLIC_REQUEST_DOES_NOT_EXIST_FIELD_NUMBER: _ClassVar[int]
        cannot_be_processed: _common_types_pb2.CannotBeProcessed
        public_request_does_not_exist: _common_types_pb2.PublicRequestDoesNotExist
        def __init__(self, public_request_does_not_exist: _Optional[_Union[_common_types_pb2.PublicRequestDoesNotExist, _Mapping]] = ..., cannot_be_processed: _Optional[_Union[_common_types_pb2.CannotBeProcessed, _Mapping]] = ...) -> None: ...
    EXCEPTION_FIELD_NUMBER: _ClassVar[int]
    exception: ResolveReply.Exception
    def __init__(self, exception: _Optional[_Union[ResolveReply.Exception, _Mapping]] = ...) -> None: ...

class ResolveRequest(_message.Message):
    __slots__ = ["public_request_id", "resolving_id"]
    PUBLIC_REQUEST_ID_FIELD_NUMBER: _ClassVar[int]
    RESOLVING_ID_FIELD_NUMBER: _ClassVar[int]
    public_request_id: _common_types_pb2.PublicRequestId
    resolving_id: _common_types_pb2.LogEntryId
    def __init__(self, public_request_id: _Optional[_Union[_common_types_pb2.PublicRequestId, _Mapping]] = ..., resolving_id: _Optional[_Union[_common_types_pb2.LogEntryId, _Mapping]] = ...) -> None: ...
